Subject: Re: Investigating Cirrus CI FreeBSD failures

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 May 2022 07:05:59 -0700

Philippe Blain <[email-masked]> writes:

>> Ah, what happened here is that this is picking up the perl package
>> built on 12.3 (i.e., the earliest supported FreeBSD 12.x) which added
>> strerror_l.
>> https://cgit.freebsd.org/src/commit/?id=d3912bec58d0b82509a0973cae02f156986d88fa
>
> OK, so it is expected that the Cirrus 12.2 image would install this newer
> version of the perl package which if I understand correctly is not compatible
> with this version ?
>
> Is there a way to tell pkg not to update packages to incompatible versions,
> or is the FreeBSD policy that as soon as a release is marked as unsupported, 
> then no guarantee is made that things (like installing packages) continue working 
> on that version ?

Sorry for a noise, but I would also be curious to know, as it is
quite unexpected for a packaging system to miss such a compatibility
issue and for a distro to not care.

>> I expect this could have been addressed also by updating to 12.3.
>> Cirrus also supports "matrix" so both could be tested.
>
> For now we opted to just update to 12.3, see [1].

Indeed we did.  Let's make sure we fast-track the topic down to
'master' and possibly to 'maint'.  I do not think it is worth
letting it sit in 'next' for a week, like we do for usual topics.

Thanks.

P.S. I'll be offline today (like every other Tuesday).